## webtest 3.0.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WebTest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WebTest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WebTest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WebTest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.rst."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.rst."

## webtest 1.2.3

=== debian/changelog ===
webtest (1.2.3-2ubuntu2) oneiric; urgency=low

  * debian/rules:
    - Back out last change, as it tries to downloads dtopt, which isn't
      packaged yet, and fails on the buildds.  Whoops.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 11 Jul 2011 15:23:42 -0400

webtest (1.2.3-2ubuntu1) oneiric; urgency=low

  * debian/rules:
    - Enable test suite during build

 -- Michael Terry <mterry@ubuntu.com>  Mon, 11 Jul 2011 14:42:14 -0400

webtest (1.2.3-2) unstable; urgency=low

  * Rebuild to add Python 2.7 and drop Python 2.5 support

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 Apr 2011 13:00:20 +0200

webtest (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Switch from dh_pysupport to dh_python2
  * Source package format changed to 3.0 (quilt)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Nov 2010 21:59:45 +0100

webtest (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 22 Oct 2010 15:28:26 +0200

webtest (1.2.1+hg20100419-1) unstable; urgency=low

  * New upstream release
    - hg snapshot used as tarball didn't contain docs and tests
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 19 Apr 2010 22:31:36 +0200

webtest (1.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 28 May 2009 22:19:07 +0200

webtest (1.1-2) unstable; urgency=low

  * Change homepage to http://pythonpaste.org/webtest/ (Closes: #515581)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 20 Feb 2009 20:28:54 +0100

webtest (1.1-1) unstable; urgency=low

  * Initial release (Closes: #506947)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 Nov 2008 21:37:36 +0100

=== debian/control ===
Source: webtest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-all,
 python-setuptools (>= 0.6b3-1~), python-webob, python-sphinx
Standards-Version: 3.9.1
X-Python-Version: >=2.4
Homepage: http://pythonpaste.org/webtest/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/webtest/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/webtest/trunk/

Package: python-webtest
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-webob,
 python-paste (>= 1.7.1), python-pastedeploy, python-pastescript
Breaks: ${python:Breaks}
Recommends: python-simplejson, python-beautifulsoup, python-lxml
Description: wraps any WSGI application and makes it easy to test
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
PYVERS=$(shell pyversions -vr)
PKGDIR=$(CURDIR)/debian/python-webtest

clean:
	dh_testdir
	dh_testroot
	rm -rf dist build
	find . -name *\.py[co] -exec rm {} \;
	dh_clean build-docs* $(PYVERS:%=install-python%)

build: build-docs

build-docs:
	dh_testdir
	dh_installdirs
	mkdir docs/_static # Sphinx needs it
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ $(PKGDIR)/usr/share/doc/python-webtest/docs/
	rm -rf $(PKGDIR)/usr/share/doc/python-webtest/docs/.doctrees
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/python-webtest/docs/_static/jquery.js
	touch $@

install: $(PYVERS:%=install-python%)
install-python%:
	python$* setup.py install \
		--single-version-externally-managed \
		--root $(CURDIR)/debian/python-webtest
	touch $@

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_python2 -i
	# it's not an extra license file
	echo "python-webtest: extra-license-file usr/share/doc/python-webtest/docs/_sources/license.txt" \
		>> $(PKGDIR)/usr/share/lintian/overrides/python-webtest
	dh_compress -i -X.py -X.js
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install build

## webtest 1.3.3

=== debian/changelog ===
webtest (1.3.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 21 Nov 2011 21:14:52 +0100

webtest (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Oct 2011 00:14:04 +0200

webtest (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 23 Sep 2011 23:19:28 +0200

webtest (1.3-1) unstable; urgency=low

  * New upstream release
  * Let dh_sphinxdoc handle documentation files, python-sphinx build
    dependency bumped to 1.0.7+dfsg-1

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 29 Aug 2011 21:12:06 +0200

webtest (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Add build-arch and build-indep targets to debian/rules
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Aug 2011 23:23:32 +0200

=== debian/control ===
Source: webtest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-all,
 python-setuptools (>= 0.6b3-1~), python-webob, python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.2
X-Python-Version: >=2.4
Homepage: http://pythonpaste.org/webtest/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/webtest/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/webtest/trunk/

Package: python-webtest
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-webob,
 python-paste (>= 1.7.1), python-pastedeploy, python-pastescript
Recommends: python-simplejson, python-beautifulsoup, python-lxml
Suggests: ${sphinxdoc:Depends}
Description: wraps any WSGI application and makes it easy to test
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).

=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,15 @@
 	find . -name *\.py[co] -exec rm {} \;
 	dh_clean build-docs* $(PYVERS:%=install-python%)
 
-build: build-docs
+build: build-indep
+build-arch:
+build-indep: build-docs
 
 build-docs:
 	dh_testdir
 	dh_installdirs
 	mkdir docs/_static # Sphinx needs it
 	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ $(PKGDIR)/usr/share/doc/python-webtest/docs/
-	rm -rf $(PKGDIR)/usr/share/doc/python-webtest/docs/.doctrees
-	dh_link /usr/share/javascript/jquery/jquery.js \
-		/usr/share/doc/python-webtest/docs/_static/jquery.js
 	touch $@
 
 install: $(PYVERS:%=install-python%)
@@ -37,6 +36,7 @@
 	dh_testroot -i
 	dh_installchangelogs -i
 	dh_installdocs -i
+	dh_sphinxdoc -i
 	dh_python2 -i
 	# it's not an extra license file
 	echo "python-webtest: extra-license-file usr/share/doc/python-webtest/docs/_sources/license.txt" \
@@ -52,4 +52,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install build
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install build

## webtest 1.3.4

=== debian/changelog ===
webtest (1.3.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules: do not fail if docs/_static exists (closes: #671390)
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 May 2012 18:54:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: python-all,
  python-setuptools (>= 0.6b3-1~), python-webob, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >=2.4
 Homepage: http://pythonpaste.org/webtest/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/webtest/trunk/

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 build-docs:
 	dh_testdir
 	dh_installdirs
-	mkdir docs/_static # Sphinx needs it
+	mkdir -p docs/_static # Sphinx needs it
 	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ $(PKGDIR)/usr/share/doc/python-webtest/docs/
 	touch $@

## webtest 2.0.10

=== debian/changelog ===
webtest (2.0.10-1) unstable; urgency=low

  * New upstream release
  * dh-python added to Build-Depends (so that its dh_python2 can be used)
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Dec 2013 20:17:46 +0100

webtest (2.0.9-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * New upstream release
    - bump minimum required Python version to 2.6
    - add python-six, python-waitress and python-bs4 to Depends
    - remove python-pastescript from Depends
    - remove python-simplejson and python-beautifulsoup from Recommends
    - add python-pyquery to Recommends
  * Update debian/watch file to check for zip files
  * Standards-Version bumped to 3.9.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 02 Oct 2013 19:37:14 +0200

webtest (1.4.0-1) experimental; urgency=low

  * New upstream release
  * Upload to experimental due to Wheezy freeze

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 13 Sep 2012 23:34:15 +0200

=== debian/control ===
Source: webtest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-all, dh-python,
 python-setuptools (>= 0.6b3-1~), python-webob, python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.5
X-Python-Version: >=2.6
Homepage: http://pythonpaste.org/webtest/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/webtest/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/webtest/trunk/

Package: python-webtest
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
 python-six, python-waitress (>= 0.8.5), python-bs4,
 python-paste (>= 1.7.1), python-pastedeploy
Recommends: python-lxml, python-pyquery
Suggests: ${sphinxdoc:Depends}
Description: wraps any WSGI application and makes it easy to test
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 #export DH_VERBOSE=1
 
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 PYVERS=$(shell pyversions -vr)
 PKGDIR=$(CURDIR)/debian/python-webtest

## webtest 2.0.14

=== debian/changelog ===
webtest (2.0.14-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python-lxml and python-pyquery to Suggests.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 08 Mar 2014 09:36:06 +1100

webtest (2.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 23 Jan 2014 23:12:31 +0100

webtest (2.0.12-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 22 Jan 2014 22:32:04 +0100

webtest (2.0.12-0ubuntu1) trusty; urgency=medium

  * New usptream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Jan 2014 12:45:19 -0500

webtest (2.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Jan 2014 19:26:17 +0100

webtest (2.0.10-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python-lxml and python-pyquery to Suggests.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 10:23:25 +0000

webtest (2.0.10-2) unstable; urgency=medium

  * Add python3-webtest binary package
  * Move documentation to python-webtest-doc binary package
  * Switch debian/rules to dh sequencer and pybuild buildsystem
  * debhelper's compat changed to 9

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 24 Dec 2013 11:10:23 +0100

webtest (2.0.10-1ubuntu2) trusty; urgency=low

  * d/control: Demote python-lxml to Suggests (it really is optional),
    re-promote python-waitress to Depends because it really is required. 

 -- James Page <james.page@ubuntu.com>  Fri, 06 Dec 2013 09:14:42 +0000

webtest (2.0.10-1ubuntu1) trusty; urgency=low

  * debian/control: Suggest python-pyquery and python-waitress. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Dec 2013 17:30:56 -0500

=== debian/control ===
Source: webtest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: dh-python, python-all, python3-all,
 python-setuptools, python-webob,
 python3-setuptools, python3-webob,
# docs & tests
 python-sphinx (>= 1.0.7+dfsg-1~), python-six, python-bs4, python-waitress,
# tests
# python-unittest2, python-pyquery
Standards-Version: 3.9.5
X-Python-Version: >=2.6
Homepage: http://pythonpaste.org/webtest/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/webtest/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/webtest/trunk/

Package: python-webtest
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
 python-six, python-waitress (>= 0.8.5), python-bs4,
 python-paste (>= 1.7.1), python-pastedeploy
Suggests: python-webtest-doc, python-pyquery, python-lxml
Description: wraps any WSGI application and makes it easy to test
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).

Package: python3-webtest
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-webob,
 python3-six, python3-waitress (>= 0.8.5), python3-bs4,
 python3-paste, python3-pastedeploy
Suggests: python-webtest-doc, python3-lxml
Description: wraps any WSGI application and makes it easy to test
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).
 .
 This is the Python 3 version of the package.

Package: python-webtest-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python-webtest (<< 2.0.10-2)
Replaces: python-webtest (<< 2.0.10-2)
Description: wraps any WSGI application and makes it easy to test
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=webtest
# disable tests, some dependencies are not packaged, f.e. wsgiproxy
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	mkdir -p docs/_static # Sphinx needs it
	dh_installdirs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-webtest-doc/usr/share/doc/python-webtest-doc/
	# it's not an extra license file
	echo "python-webtest-doc: extra-license-file usr/share/doc/python-webtest-doc/_sources/license.txt" \
		>> debian/python-webtest-doc/usr/share/lintian/overrides/python-webtest-doc

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/W/WebTest/WebTest-(.*)\.(?:zip|tar\.gz)

## webtest 2.0.15

=== debian/changelog ===
webtest (2.0.15-1) unstable; urgency=medium

  * New upstream release
  * Install upstream changelog (CHANGELOG.rst)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 05 May 2014 22:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python, python-all, python3-all,
@@ -23,7 +22,8 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
  python-six, python-waitress (>= 0.8.5), python-bs4,
  python-paste (>= 1.7.1), python-pastedeploy
-Suggests: python-webtest-doc, python-pyquery, python-lxml
+Recommends: python-lxml, python-pyquery
+Suggests: python-webtest-doc
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,
@@ -36,7 +36,9 @@
 Depends: ${python3:Depends}, ${misc:Depends}, python3-webob,
  python3-six, python3-waitress (>= 0.8.5), python3-bs4,
  python3-paste, python3-pastedeploy
-Suggests: python-webtest-doc, python3-lxml
+Recommends: python3-lxml
+#, python3-pyquery
+Suggests: python-webtest-doc
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,

## webtest 2.0.16

=== debian/changelog ===
webtest (2.0.16-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 25 Sep 2014 21:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python-sphinx (>= 1.0.7+dfsg-1~), python-six, python-bs4, python-waitress,
 # tests
 # python-unittest2, python-pyquery
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >=2.6
 Homepage: http://pythonpaste.org/webtest/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/webtest/trunk/

## webtest 2.0.17

=== debian/changelog ===
webtest (2.0.17-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python-lxml and python-pyquery to Suggests.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 29 Dec 2014 19:36:52 +1100

webtest (2.0.17-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 21 Dec 2014 21:40:34 +0100

webtest (2.0.16-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python-lxml and python-pyquery to Suggests.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 26 Oct 2014 14:27:29 +1100

webtest (2.0.15-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python-lxml and python-pyquery to Suggests.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 26 May 2014 07:06:41 +1000

## webtest 2.0.18

=== debian/changelog ===
webtest (2.0.18-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. (LP: #1515758) Remaining changes:
    - d/control: Demote python-lxml and python-pyquery to Suggests.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 14 Nov 2015 08:56:46 +1100

webtest (2.0.18-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: use pypi.debian.net redirector

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 05 Aug 2015 20:26:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python, python-all, python3-all,
@@ -22,8 +23,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
  python-six, python-waitress (>= 0.8.5), python-bs4,
  python-paste (>= 1.7.1), python-pastedeploy
-Recommends: python-lxml, python-pyquery
-Suggests: python-webtest-doc
+Suggests: python-webtest-doc, python-pyquery, python-lxml
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,
@@ -36,9 +36,7 @@
 Depends: ${python3:Depends}, ${misc:Depends}, python3-webob,
  python3-six, python3-waitress (>= 0.8.5), python3-bs4,
  python3-paste, python3-pastedeploy
-Recommends: python3-lxml
-#, python3-pyquery
-Suggests: python-webtest-doc
+Suggests: python-webtest-doc, python3-lxml
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 	# it's not an extra license file
 	echo "python-webtest-doc: extra-license-file usr/share/doc/python-webtest-doc/_sources/license.txt" \
 		>> debian/python-webtest-doc/usr/share/lintian/overrides/python-webtest-doc
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/WebTest/WebTest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## webtest 2.0.20

=== debian/changelog ===
webtest (2.0.20-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Dec 2015 20:25:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python, python-all, python3-all,
@@ -15,15 +14,16 @@
 Standards-Version: 3.9.6
 X-Python-Version: >=2.6
 Homepage: http://pythonpaste.org/webtest/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/webtest/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/webtest/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/webtest.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/webtest.git
 
 Package: python-webtest
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
  python-six, python-waitress (>= 0.8.5), python-bs4,
  python-paste (>= 1.7.1), python-pastedeploy
-Suggests: python-webtest-doc, python-pyquery, python-lxml
+Recommends: python-lxml, python-pyquery
+Suggests: python-webtest-doc
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,
@@ -36,7 +36,9 @@
 Depends: ${python3:Depends}, ${misc:Depends}, python3-webob,
  python3-six, python3-waitress (>= 0.8.5), python3-bs4,
  python3-paste, python3-pastedeploy
-Suggests: python-webtest-doc, python3-lxml
+Recommends: python3-lxml
+#, python3-pyquery
+Suggests: python-webtest-doc
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,

## webtest 2.0.23

=== debian/changelog ===
webtest (2.0.23-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python-lxml and python-pyquery to Suggests

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 31 Jul 2016 04:42:59 +0000

webtest (2.0.23-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jul 2016 23:49:18 +0200

webtest (2.0.21-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-Version bumped to 3.9.8
    - prevent sphinx-build from accessing a network while building docs
      (closes: 830629)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Jul 2016 21:46:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python, python-all, python3-all,
@@ -11,10 +12,10 @@
  python-sphinx (>= 1.0.7+dfsg-1~), python-six, python-bs4, python-waitress,
 # tests
 # python-unittest2, python-pyquery
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >=2.6
 Homepage: http://pythonpaste.org/webtest/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/webtest.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/webtest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/webtest.git
 
 Package: python-webtest
@@ -22,8 +23,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
  python-six, python-waitress (>= 0.8.5), python-bs4,
  python-paste (>= 1.7.1), python-pastedeploy
-Recommends: python-lxml, python-pyquery
-Suggests: python-webtest-doc
+Suggests: python-webtest-doc, python-pyquery, python-lxml
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,
@@ -36,9 +36,7 @@
 Depends: ${python3:Depends}, ${misc:Depends}, python3-webob,
  python3-six, python3-waitress (>= 0.8.5), python3-bs4,
  python3-paste, python3-pastedeploy
-Recommends: python3-lxml
-#, python3-pyquery
-Suggests: python-webtest-doc
+Suggests: python-webtest-doc, python3-lxml
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,

## webtest 2.0.24

=== debian/changelog ===
webtest (2.0.24-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 12:45:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python, python-all, python3-all,
@@ -23,7 +22,8 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
  python-six, python-waitress (>= 0.8.5), python-bs4,
  python-paste (>= 1.7.1), python-pastedeploy
-Suggests: python-webtest-doc, python-pyquery, python-lxml
+Recommends: python-lxml, python-pyquery
+Suggests: python-webtest-doc
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,
@@ -36,7 +36,9 @@
 Depends: ${python3:Depends}, ${misc:Depends}, python3-webob,
  python3-six, python3-waitress (>= 0.8.5), python3-bs4,
  python3-paste, python3-pastedeploy
-Suggests: python-webtest-doc, python3-lxml
+Recommends: python3-lxml
+#, python3-pyquery
+Suggests: python-webtest-doc
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh_auto_install --buildsystem=pybuild
 	mkdir -p docs/_static # Sphinx needs it
 	dh_installdirs
-	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-webtest-doc/usr/share/doc/python-webtest-doc/
+	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-webtest-doc/usr/share/doc/python-webtest-doc/
 	# it's not an extra license file
 	echo "python-webtest-doc: extra-license-file usr/share/doc/python-webtest-doc/_sources/license.txt" \
 		>> debian/python-webtest-doc/usr/share/lintian/overrides/python-webtest-doc

## webtest 2.0.28

=== debian/changelog ===
webtest (2.0.28-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Move python-pyquery to Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 13:41:51 -0500

webtest (2.0.28-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.1.1 (no changes needed)
  * Generate documentation using Python 3's version of sphinx

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Sep 2017 12:52:31 +0200

webtest (2.0.27-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 20:01:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python, python-all, python3-all,
  python-setuptools, python-webob,
  python3-setuptools, python3-webob,
 # docs & tests
- python-sphinx (>= 1.0.7+dfsg-1~), python-six, python-bs4, python-waitress,
+ python3-sphinx, python3-six, python3-bs4, python3-waitress,
 # tests
 # python-unittest2, python-pyquery
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >=2.6
 Homepage: http://pythonpaste.org/webtest/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/webtest.git
@@ -22,8 +23,8 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
  python-six, python-waitress (>= 0.8.5), python-bs4,
  python-paste (>= 1.7.1), python-pastedeploy
-Recommends: python-lxml, python-pyquery
-Suggests: python-webtest-doc
+Recommends: python-lxml
+Suggests: python-webtest-doc, python-pyquery
 Description: wraps any WSGI application and makes it easy to test
  WebTest helps you test your WSGI-based web applications. This can be any
  application that has a WSGI (Web Server Gateway Interface) interface,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh_auto_install --buildsystem=pybuild
 	mkdir -p docs/_static # Sphinx needs it
 	dh_installdirs
-	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-webtest-doc/usr/share/doc/python-webtest-doc/
+	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ debian/python-webtest-doc/usr/share/doc/python-webtest-doc/
 	# it's not an extra license file
 	echo "python-webtest-doc: extra-license-file usr/share/doc/python-webtest-doc/_sources/license.txt" \
 		>> debian/python-webtest-doc/usr/share/lintian/overrides/python-webtest-doc

## webtest 2.0.32

=== debian/changelog ===
webtest (2.0.32-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938816

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 13:47:17 -0500

webtest (2.0.32-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release
  * Add patch to use default Sphinx theme (pylons_sphinx_theme is not packaged)
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 29 Dec 2018 22:14:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,19 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: dh-python, python-all, python3-all,
- python-setuptools, python-webob,
+Build-Depends: debhelper-compat (= 9)
+Build-Depends-Indep: dh-python, python3-all,
  python3-setuptools, python3-webob,
 # docs & tests
  python3-sphinx, python3-six, python3-bs4, python3-waitress,
 # tests
 # python-unittest2, python-pyquery
-Standards-Version: 4.1.1
-X-Python-Version: >=2.6
+Standards-Version: 4.4.1
 Homepage: http://pythonpaste.org/webtest/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/webtest.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/webtest.git
-
-Package: python-webtest
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-webob (>= 1.2),
- python-six, python-waitress (>= 0.8.5), python-bs4,
- python-paste (>= 1.7.1), python-pastedeploy
-Recommends: python-lxml
-Suggests: python-webtest-doc, python-pyquery
-Description: wraps any WSGI application and makes it easy to test
- WebTest helps you test your WSGI-based web applications. This can be any
- application that has a WSGI (Web Server Gateway Interface) interface,
- including an application written in a framework that supports WSGI (which
- includes most actively developed Python web frameworks – almost anything
- that even nominally supports WSGI should be testable).
+Vcs-Git: https://salsa.debian.org/python-team/modules/webtest.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/webtest
 
 Package: python3-webtest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/WebTest/WebTest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## webtest 2.0.34

=== debian/changelog ===
webtest (2.0.34-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Mar 2020 23:01:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-sphinx, python3-six, python3-bs4, python3-waitress,
 # tests
 # python-unittest2, python-pyquery
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://pythonpaste.org/webtest/
 Vcs-Git: https://salsa.debian.org/python-team/modules/webtest.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/webtest

## webtest 2.0.35

=== debian/changelog ===
webtest (2.0.35-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * New upstream release (closes: 976008)
  * d/control: Adding Rules-Requires-Root: no
  * d/control: Mark -doc package as Multi-Arch: foreign
  * lintian: Adding doc-base file for documentation
  * lintian: Revert special handling for license.txt
  * d/control: Update upstream URL (closes: 976006)
  * d/control: Bump Standards-Version to 4.5.1
  * d/control: Bump debhelper version to 13
  * d/copyright: move over to DEP5 format
  * d/watch: update file version

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Dec 2020 20:10:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: webtest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper-compat (= 9)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python, python3-all,
  python3-setuptools, python3-webob,
 # docs & tests
  python3-sphinx, python3-six, python3-bs4, python3-waitress,
 # tests
 # python-unittest2, python-pyquery
-Standards-Version: 4.5.0
-Homepage: http://pythonpaste.org/webtest/
-Vcs-Git: https://salsa.debian.org/python-team/modules/webtest.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/webtest
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://docs.pylonsproject.org/projects/webtest
+Vcs-Git: https://salsa.debian.org/python-team/packages/webtest.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/webtest
 
 Package: python3-webtest
 Architecture: all
@@ -34,6 +35,7 @@
 
 Package: python-webtest-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python-webtest (<< 2.0.10-2)

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 	mkdir -p docs/_static # Sphinx needs it
 	dh_installdirs
 	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ debian/python-webtest-doc/usr/share/doc/python-webtest-doc/
-	# it's not an extra license file
-	echo "python-webtest-doc: extra-license-file usr/share/doc/python-webtest-doc/_sources/license.txt" \
-		>> debian/python-webtest-doc/usr/share/lintian/overrides/python-webtest-doc
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst

## webtest 3.0.0

=== debian/changelog ===
webtest (3.0.0-3~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 09 Jan 2024 07:04:28 +0000

webtest (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * remove extreneous dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Tue, 09 Jan 2024 02:03:29 +0100

webtest (3.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-webtest: Drop versioned constraint on python3-waitress in Depends.
    + python-webtest-doc: Drop versioned constraint on python-webtest in
      Replaces.
    + python-webtest-doc: Drop versioned constraint on python-webtest in Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:27:42 +0100

webtest (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * d/copyright: Update debian copyright year to 2022.
  * d/control: Bump Standards-Version to 4.6.1

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 02 Sep 2022 21:04:38 +0300

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/WebTest/WebTest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
